## node-react 18.2.0+dfsg+~cs88.72.123

=== scripts/perf-counters/Makefile ===
build/jsc-perf: src/*
	mkdir -p build
	g++ -std=c++11 -I/usr/include/webkitgtk-1.0/ -ljavascriptcoregtk-1.0 src/jsc-perf.cpp src/hardware-counter.cpp src/thread-local.cpp -o build/jsc-perf

## node-react 16.2.0

=== debian/changelog ===
node-react (16.2.0-4) unstable; urgency=medium

  * Team upload (Closes: #944193)
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use node-ncp instead of embedded one
  * No more use pkg-components (Closes: #933123)
  * Add patches descriptions
  * Fix debian/copyright
  * Switch install to pkg-js-tools
  * Install all packages/* modules (Closes: #923537)
  * Update description

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 Nov 2019 21:58:22 +0100

node-react (16.2.0-3) unstable; urgency=medium

  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Pirate Praveen ]
  * Drop node-react-dom binary (as per ftp master rejection)
  * Add rollup-plugin-commonjs as a component (version in the archive is not
    compatible)

 -- Pirate Praveen <praveen@debian.org>  Fri, 26 Oct 2018 23:48:09 +0530

node-react (16.2.0-2) unstable; urgency=medium

  * Create node-react-dom binary

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jan 2018 17:16:28 +0530

node-react (16.2.0-1) unstable; urgency=low

  * Initial release (Closes: #886411)

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jan 2018 12:45:56 +0530

=== debian/control ===
Source: node-react
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs
 , rollup
 , node-rollup-plugin-babel
 , node-babel-core
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-alias
 , node-rollup-plugin-node-resolve
 , node-rimraf
 , node-gzip-size
 , node-cli-table
 , node-filesize
 , node-babel-preset-es2015
 , node-babel-preset-es3
 , node-babel-preset-react
 , node-babel-plugin-transform-class-properties
 , node-babel-plugin-syntax-trailing-function-commas
 , node-babel-plugin-transform-object-rest-spread
 , node-ncp
 , node-rollup-plugin-replace
 , node-object-assign <!nocheck>
 , node-fbjs <!nocheck>
 , node-loose-envify <!nocheck>
 , node-prop-types <!nocheck>
 , pkg-js-tools (>= 0.9.12~)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-react
Vcs-Git: https://salsa.debian.org/js-team/node-react.git
Homepage: https://reactjs.org/
Rules-Requires-Root: no

Package: node-react
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-fbjs
 , node-loose-envify
 , node-object-assign (>= 4.1.1)
 , node-prop-types
Provides: ${nodejs:Provides}
Description: React is a JavaScript library for building user interfaces
 Some features of React:
  * Declarative: React makes it painless to create interactive UIs. Design
    simple views for each state in your application, and React will efficiently
    update and render just the right components when your data changes.
    Declarative views make your code more predictable, simpler to understand,
    and easier to debug.
  * Component-Based: Build encapsulated components that manage their own state,
    then compose them to make complex UIs. Since component logic is written in
    JavaScript instead of templates, you can easily pass rich data through your
    app and keep state out of the DOM.
  * Learn Once, Write Anywhere: it doesn't make assumptions about the rest of
    the technology stack, so you can develop new features in React without
    rewriting existing code. React can also render on the server using Node and
    power mobile apps using React Native.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export NODE_PATH=packages

%:
	dh $@ --with nodejs

override_dh_auto_configure:
	# Don't create component links

override_dh_auto_build:
	node scripts/rollup/build.js

override_dh_auto_clean:
	# Don't call pkg-js-tools hook here
	dh_auto_clean

=== debian/tests/control ===
Tests: require
Depends: node-react

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-react-$1.tar.gz/ \
 https://github.com/facebook/react/tags .*/archive/v?([\d\.]+).tar.gz

## node-react 16.13.1+dfsg+~cs16.9.34

=== debian/changelog ===
node-react (16.13.1+dfsg+~cs16.9.34-3) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Add missing build dependencies to node-browser-resolve

 -- Xavier Guimard <yadd@debian.org>  Thu, 24 Sep 2020 10:53:24 +0200

node-react (16.13.1+dfsg+~cs16.9.34-2) unstable; urgency=medium

  * Team upload
  * d/nodejs/additional_components: install all modules

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 06 Jun 2020 18:05:46 -0400

node-react (16.13.1+dfsg+~cs16.9.34-1) unstable; urgency=medium

  * Team upload
  * Embed @types/react
  * Update debian/clean

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 May 2020 23:44:54 +0200

node-react (16.13.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Build modules: remove babel-plugin-annotate-pure-calls and add art
  * Refresh patches
  * Add patch to remove node-babel* 6 dependencies and drop useless cross-env
    module
  * Remove build dependency to
    node-babel-plugin-syntax-trailing-function-commas and
    node-babel-code-frame
  * Update build

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 08:48:14 +0200

node-react (16.13.1+dfsg-2) unstable; urgency=medium

  * Reupload to unstable (node-babel7 is in unstable now)

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 22:28:55 +0530

node-react (16.13.1+dfsg-1) experimental; urgency=medium

  [ Ben Finney ]
  * Provide more context in package descriptions.

  [ Pirate Praveen ]
  * New upstream version 16.13.1 (Closes: #958769)
  * Refresh patches
  * Embed targz and tar-fs as build only modules
  * Add debian/build_modules to NODE_PATH
  * Update build dependencies
  * Add npm as build dependency for npm pack command
  * Update paths for built modules (build/packages -> build/node_modules)
  * Build react-window embedded in react-devtools-shared from source
  * Add babel.config.js for react-window
  * Embed build dependency for react-window module and build
  * Add repack options to remove generated files
  * New upstream version 16.13.1+dfsg
  * Update lintian overrides
  * Drop packages/scheduler/npm/umd/*.min.js from orig source

 -- Pirate Praveen <praveen@debian.org>  Wed, 29 Apr 2020 12:06:12 +0530

=== debian/control ===
--- 
+++ 
@@ -4,32 +4,34 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , nodejs
  , rollup
- , node-rollup-plugin-babel
- , node-babel-core
- , node-rollup-plugin-commonjs
- , node-rollup-plugin-alias
- , node-rollup-plugin-node-resolve
- , node-rimraf
+ , node-babel7
+ , node-browser-resolve
+# possibly a slip by upstream in scripts/rollup/build.js +22 (using babel 6)
  , node-gzip-size
  , node-cli-table
+ , node-fbjs <!nocheck>
  , node-filesize
- , node-babel-preset-es2015
- , node-babel-preset-es3
- , node-babel-preset-react
- , node-babel-plugin-transform-class-properties
- , node-babel-plugin-syntax-trailing-function-commas
- , node-babel-plugin-transform-object-rest-spread
+ , node-loose-envify <!nocheck>
  , node-ncp
+ , node-object-assign <!nocheck>
+ , node-prop-types
+ , node-rimraf
+ , node-rollup-plugin-alias
+ , node-rollup-plugin-babel (>= 4.4~)
+ , node-rollup-plugin-commonjs
  , node-rollup-plugin-replace
- , node-object-assign <!nocheck>
- , node-fbjs <!nocheck>
- , node-loose-envify <!nocheck>
- , node-prop-types <!nocheck>
+ , node-rollup-plugin-node-resolve
+# for embedded targz -> tar-fs
+ , node-chownr
+ , node-pump
+ , node-tar-stream
+# for npm pack command
+ , npm
  , pkg-js-tools (>= 0.9.12~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/
@@ -45,7 +47,9 @@
  , node-object-assign (>= 4.1.1)
  , node-prop-types
 Provides: ${nodejs:Provides}
-Description: React is a JavaScript library for building user interfaces
+Description: Node.js library for building user interfaces
+ ReactJS is a library for building JavaScript user interfaces.
+ .
  Some features of React:
   * Declarative: React makes it painless to create interactive UIs. Design
     simple views for each state in your application, and React will efficiently
@@ -60,3 +64,5 @@
     the technology stack, so you can develop new features in React without
     rewriting existing code. React can also render on the server using Node and
     power mobile apps using React Native.
+ .
+ This package installs the ReactJS library for Node.js.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,24 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export NODE_PATH=packages
+export DEBIAN_BUILD_MODULES=$(CURDIR)/debian/build_modules
+export NODE_PATH=packages:debian/build_modules
 
 %:
 	dh $@ --with nodejs
 
 override_dh_auto_configure:
-	# Don't create component links
+	# No auto links but simulate part of pkg-js-tools auto links
+	mkdir -p node_modules
+	for m in `cat debian/nodejs/extcopies`; do \
+		cp -a `nodepath $$m` node_modules/; \
+	done
+	for m in `cat debian/nodejs/extlinks`; do \
+		ln -s `nodepath $$m` node_modules/; \
+	done
+	for m in `ls debian/build_modules`; do \
+		ln -s ../debian/build_modules/$$m node_modules/; \
+	done
 
 override_dh_auto_build:
 	node scripts/rollup/build.js

=== debian/watch ===
version=4
opts=repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-react-$1.tar.gz/ \
 https://github.com/facebook/react/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=typesreact,pgpmode=none" \
 https://registry.npmjs.org/@types/react https://registry.npmjs.org/@types/react/-/react-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-react 17.0.1%2Bdfsg%2B~cs106.58.5

=== debian/control ===
--- 
+++ 
@@ -15,23 +15,25 @@
  , node-fbjs <!nocheck>
  , node-filesize
  , node-loose-envify <!nocheck>
+ , node-mkdirp (>= 1)
  , node-ncp
  , node-object-assign <!nocheck>
  , node-prop-types
  , node-rimraf
  , node-rollup-plugin-alias
- , node-rollup-plugin-babel (>= 4.4~)
- , node-rollup-plugin-commonjs
+ , node-rollup-plugin-babel (>= 5.2~)
+ , node-rollup-plugin-commonjs (>= 15~)
  , node-rollup-plugin-replace
- , node-rollup-plugin-node-resolve
+ , node-rollup-plugin-node-resolve (>= 9~)
+ , node-rollup-plugin-terser
 # for embedded targz -> tar-fs
  , node-chownr
  , node-pump
  , node-tar-stream
 # for npm pack command
  , npm
- , pkg-js-tools (>= 0.9.12~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/

## node-react 17.0.1+dfsg+~cs32.23.54

=== debian/changelog ===
node-react (17.0.1+dfsg+~cs32.23.54-3) unstable; urgency=medium

  * Team upload
  * Update remove-syntax-trailing-function-commas.diff patch

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 20:51:40 +0100

node-react (17.0.1+dfsg+~cs32.23.54-2) unstable; urgency=medium

  * Team upload
  * Add fix for node-mkdirp ≥ 1 (Closes: #973109)
  * Fix packages build

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 19:10:18 +0100

node-react (17.0.1+dfsg+~cs32.23.54-1) unstable; urgency=medium

  * Team upload
  * New upstream version 17.0.1+dfsg+~cs32.23.54
    Updates: react 17.0.1

 -- Xavier Guimard <yadd@debian.org>  Fri, 23 Oct 2020 14:25:07 +0200

node-react (17.0.0+dfsg+~cs32.23.54-1) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-nodejs
  * refresh patches
  * Embed react-shallow-renderer
  * New upstream version 17.0.0+dfsg+~cs32.23.54
    Updates:
     + react 17.0.0
     + @types/react 16.9.53
     + react-shallow-renderer 16.14.1
    Really 17.0.0+~16.9.53+~16.14.1
  * Update copyright
  * Update build
  * Add build dependency to node-babel-plugin-syntax-trailing-function-commas
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Thu, 22 Oct 2020 12:55:43 +0200

=== debian/watch ===
--- 
+++ 
@@ -8,3 +8,8 @@
 # Take a look at https://wiki.debian.org/debian/watch/
 opts="searchmode=plain,component=typesreact,pgpmode=none" \
  https://registry.npmjs.org/@types/react https://registry.npmjs.org/@types/react/-/react-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=react-shallow-renderer,pgpmode=none" \
+ https://registry.npmjs.org/react-shallow-renderer https://registry.npmjs.org/react-shallow-renderer/-/react-shallow-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-react 17.0.1+dfsg+~cs102.92.74

=== debian/changelog ===
node-react (17.0.1+dfsg+~cs102.92.74-1) unstable; urgency=medium

  * Team upload
  * Add typescript types (Closes: #974082)
  * New upstream version 17.0.1+dfsg+~cs102.92.74 (no other changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Nov 2020 06:25:36 +0100

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,10 @@
  , node-prop-types
  , node-rimraf
  , node-rollup-plugin-alias
- , node-rollup-plugin-babel (>= 5.2~)
- , node-rollup-plugin-commonjs (>= 15~)
+ , node-rollup-plugin-babel (>= 4.4~)
+ , node-rollup-plugin-commonjs
  , node-rollup-plugin-replace
- , node-rollup-plugin-node-resolve (>= 9~)
- , node-rollup-plugin-terser
+ , node-rollup-plugin-node-resolve
 # for embedded targz -> tar-fs
  , node-chownr
  , node-pump
@@ -33,7 +32,7 @@
 # for npm pack command
  , npm
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/

=== debian/watch ===
--- 
+++ 
@@ -13,3 +13,35 @@
 # Take a look at https://wiki.debian.org/debian/watch/
 opts="searchmode=plain,component=react-shallow-renderer,pgpmode=none" \
  https://registry.npmjs.org/react-shallow-renderer https://registry.npmjs.org/react-shallow-renderer/-/react-shallow-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-create-subscription,pgpmode=none" \
+ https://registry.npmjs.org/@types/create-subscription https://registry.npmjs.org/@types/create-subscription/-/create-subscription-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-cache,pgpmode=none" \
+ https://registry.npmjs.org/@types/react-cache https://registry.npmjs.org/@types/react-cache/-/react-cache-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-devtools,pgpmode=none" \
+ https://registry.npmjs.org/@types/react-devtools https://registry.npmjs.org/@types/react-devtools/-/react-devtools-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-dom,pgpmode=none" \
+ https://registry.npmjs.org/@types/react-dom https://registry.npmjs.org/@types/react-dom/-/react-dom-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-is,pgpmode=none" \
+ https://registry.npmjs.org/@types/react-is https://registry.npmjs.org/@types/react-is/-/react-is-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-reconciler,pgpmode=none" \
+ https://registry.npmjs.org/@types/react-reconciler https://registry.npmjs.org/@types/react-reconciler/-/react-reconciler-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.

## node-react 17.0.1+dfsg+~cs106.58.5

=== debian/changelog ===
node-react (17.0.1+dfsg+~cs106.58.5-5) unstable; urgency=medium

  * Drop legacy rollup-plugin-commonjs usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 16:52:15 +0000

node-react (17.0.1+dfsg+~cs106.58.5-4) unstable; urgency=medium

  * Drop legacy rollup-plugin-babel usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 00:17:04 +0530

node-react (17.0.1+dfsg+~cs106.58.5-3) unstable; urgency=medium

  * Add node-rollup-plugin-terser as build dependency and drop patch
  * Add rollup-plugin-node-resolve legacy as build module (updating to
    @rollup/plugin-node-resolve introduced regressions)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Jan 2021 23:21:07 +0530

node-react (17.0.1+dfsg+~cs106.58.5-2) unstable; urgency=medium

  * Drop legacy node-resolve plugin usage

 -- Pirate Praveen <praveen@debian.org>  Thu, 31 Dec 2020 21:13:14 +0530

node-react (17.0.1+dfsg+~cs106.58.5-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Submit, Security-Contact.
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 17.0.1+dfsg+~cs106.58.5
    Updates typescript definitions

 -- Xavier Guimard <yadd@debian.org>  Sun, 06 Dec 2020 15:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 12)
  , nodejs
  , rollup
  , node-babel7
@@ -21,10 +21,11 @@
  , node-prop-types
  , node-rimraf
  , node-rollup-plugin-alias
- , node-rollup-plugin-babel (>= 4.4~)
- , node-rollup-plugin-commonjs
+ , node-rollup-plugin-babel (>= 5.2~)
+ , node-rollup-plugin-commonjs (>= 15~)
  , node-rollup-plugin-replace
- , node-rollup-plugin-node-resolve
+ , node-rollup-plugin-node-resolve (>= 9~)
+ , node-rollup-plugin-terser
 # for embedded targz -> tar-fs
  , node-chownr
  , node-pump
@@ -32,7 +33,7 @@
 # for npm pack command
  , npm
  , dh-sequence-nodejs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export NODE_PATH=packages:debian/build_modules
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_configure:
 	# No auto links but simulate part of pkg-js-tools auto links
@@ -21,9 +21,14 @@
 	for m in `ls debian/build_modules`; do \
 		ln -s ../debian/build_modules/$$m node_modules/; \
 	done
+	ln -s ../react-shallow-renderer node_modules/
 
 override_dh_auto_build:
 	node scripts/rollup/build.js
+	for m in `ls build/node_modules`; do \
+		cp packages/$$m/package.json build/node_modules/$$m/; \
+		cp packages/$$m/npm/* build/node_modules/$$m/; \
+	done
 
 override_dh_auto_clean:
 	# Don't call pkg-js-tools hook here

=== debian/watch ===
version=4
opts=repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-react-$1.tar.gz/ \
 https://github.com/facebook/react/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=typesreact,pgpmode=none" \
 https://registry.npmjs.org/@types/react https://registry.npmjs.org/@types/react/-/react-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=react-shallow-renderer,pgpmode=none" \
 https://registry.npmjs.org/react-shallow-renderer https://registry.npmjs.org/react-shallow-renderer/-/react-shallow-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-create-subscription,pgpmode=none" \
 https://registry.npmjs.org/@types/create-subscription https://registry.npmjs.org/@types/create-subscription/-/create-subscription-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-cache,pgpmode=none" \
 https://registry.npmjs.org/@types/react-cache https://registry.npmjs.org/@types/react-cache/-/react-cache-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-devtools,pgpmode=none" \
 https://registry.npmjs.org/@types/react-devtools https://registry.npmjs.org/@types/react-devtools/-/react-devtools-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-dom,pgpmode=none" \
 https://registry.npmjs.org/@types/react-dom https://registry.npmjs.org/@types/react-dom/-/react-dom-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-is,pgpmode=none" \
 https://registry.npmjs.org/@types/react-is https://registry.npmjs.org/@types/react-is/-/react-is-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-reconciler,pgpmode=none" \

## node-react 17.0.2%2Bdfsg%2B~cs106.66.62

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , nodejs
+ debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , rollup
  , node-babel7
  , node-browser-resolve
@@ -15,12 +15,12 @@
  , node-fbjs <!nocheck>
  , node-filesize
  , node-loose-envify <!nocheck>
+ , node-minimist
  , node-mkdirp (>= 1)
  , node-ncp
  , node-object-assign <!nocheck>
  , node-prop-types
  , node-rimraf
- , node-rollup-plugin-alias
  , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs (>= 15~)
  , node-rollup-plugin-replace
@@ -32,8 +32,7 @@
  , node-tar-stream
 # for npm pack command
  , npm
- , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/
@@ -43,7 +42,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
  , node-fbjs
  , node-loose-envify
  , node-object-assign (>= 4.1.1)

## node-react 17.0.2+dfsg+~cs106.66.62

=== debian/changelog ===
node-react (17.0.2+dfsg+~cs106.66.62-1) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Drop nodejs dependency
  * New upstream version 17.0.2+dfsg+~cs106.66.62, updates typescript
    definitions

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 04:20:31 +0100

node-react (17.0.2+dfsg+~cs106.66.56-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Remove unused build dependency: node-rollup-plugin-alias
  * Add node-minimist as build dependency

  [ Yadd ]
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 17.0.2+dfsg+~cs106.66.56
  * Build: set HOME to /tmp (Closes: #997788)
  * Fix lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 25 Oct 2021 06:24:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 export DEBIAN_BUILD_MODULES=$(CURDIR)/debian/build_modules
 export NODE_PATH=packages:debian/build_modules
+export HOME=/tmp
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-react-$1/ \
 https://github.com/facebook/react/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=typesreact,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-$1/" \
 https://registry.npmjs.org/@types/react https://registry.npmjs.org/@types/react/-/react-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=react-shallow-renderer,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-react-shallow-renderer-$1/" \
 https://registry.npmjs.org/react-shallow-renderer https://registry.npmjs.org/react-shallow-renderer/-/react-shallow-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-create-subscription,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-create-subscription-$1/" \
 https://registry.npmjs.org/@types/create-subscription https://registry.npmjs.org/@types/create-subscription/-/create-subscription-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-cache,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-cache-$1/" \
 https://registry.npmjs.org/@types/react-cache https://registry.npmjs.org/@types/react-cache/-/react-cache-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-devtools,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-devtools-$1/" \
 https://registry.npmjs.org/@types/react-devtools https://registry.npmjs.org/@types/react-devtools/-/react-devtools-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-react-dom,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-dom-$1/" \
 https://registry.npmjs.org/@types/react-dom https://registry.npmjs.org/@types/react-dom/-/react-dom-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/

## node-react 18.2.0+dfsg+~cs87.31.26

=== debian/changelog ===
node-react (18.2.0+dfsg+~cs87.31.26-4) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints
  * Add fix for rollup 3 (Closes: #1022666)

 -- Yadd <yadd@debian.org>  Thu, 27 Oct 2022 17:18:05 +0200

node-react (18.2.0+dfsg+~cs87.31.26-3) unstable; urgency=medium

  * Team upload
  * Add fix for node-filesize >= 10

 -- Yadd <yadd@debian.org>  Sun, 02 Oct 2022 08:37:07 +0200

node-react (18.2.0+dfsg+~cs87.31.26-2) unstable; urgency=medium

  * Team upload
  * Add breaks node-react < 18 (Closes: #1014737)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 11 Jul 2022 07:55:24 +0200

node-react (18.2.0+dfsg+~cs87.31.26-1) experimental; urgency=medium

  * Team upload
  * Drop transition for old debug package migration.
  * Declare compliance with policy 4.6.1
  * Replace embedded tar-fs by dependency to node-tar-fs
  * Update lintian overrides
  * New upstream version 18.2.0+dfsg+~cs87.31.26
  * Unfuzz patches
  * Exclude experimental libraries from install
  * Split into multiple binary packages
  * Update lintian overrides
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 10:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,34 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13)
- , dh-sequence-nodejs
- , rollup
+Build-Depends: debhelper-compat (= 13)
+ , dh-nodejs
+ , dh-sequence-nodejs-no-lerna
  , node-babel7
  , node-browser-resolve
-# possibly a slip by upstream in scripts/rollup/build.js +22 (using babel 6)
- , node-gzip-size
+ , node-chownr
  , node-cli-table
  , node-fbjs <!nocheck>
- , node-filesize
+ , node-filesize (>= 10)
+ , node-gzip-size
  , node-loose-envify <!nocheck>
  , node-minimist
  , node-mkdirp (>= 1)
  , node-ncp
  , node-object-assign <!nocheck>
  , node-prop-types
+ , node-pump
  , node-rimraf
  , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs (>= 15~)
+ , node-rollup-plugin-node-resolve (>= 9~)
  , node-rollup-plugin-replace
- , node-rollup-plugin-node-resolve (>= 9~)
  , node-rollup-plugin-terser
-# for embedded targz -> tar-fs
- , node-chownr
- , node-pump
+ , node-tar-fs
  , node-tar-stream
-# for npm pack command
  , npm
-Standards-Version: 4.6.0
+ , rollup
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/
@@ -40,15 +38,12 @@
 
 Package: node-react
 Architecture: all
-Depends:
- ${misc:Depends}
- , node-fbjs
- , node-loose-envify
- , node-object-assign (>= 4.1.1)
- , node-prop-types
-Provides: ${nodejs:Provides}
+Depends: node-loose-envify
+ , ${misc:Depends}
+Provides: libjs-react (= ${binary:Version})
+ , ${nodeReact:Provides}
 Description: Node.js library for building user interfaces
- ReactJS is a library for building JavaScript user interfaces.
+ node-react is a library for building JavaScript user interfaces.
  .
  Some features of React:
   * Declarative: React makes it painless to create interactive UIs. Design
@@ -66,3 +61,130 @@
     power mobile apps using React Native.
  .
  This package installs the ReactJS library for Node.js.
+
+Package: node-eslint-plugin-react-hooks
+Architecture: all
+Depends: eslint
+ , ${misc:Depends}
+Provides: ${nodeEslintPluginReactHooks:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: node-react plugin for eslint
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package provides an eslint plugin for React.
+
+Package: node-jest-react
+Architecture: all
+Depends: jest
+ , node-object-assign
+ , node-react
+ , node-react-is
+ , node-react-shallow-renderer
+ , node-react-test-renderer
+ , node-scheduler
+ , ${misc:Depends}
+Provides: ${nodeJestReact:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: node-jest matchers and utilities for testing React Test Renderer
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package provides matchers and utilities for node-jest.
+
+Package: node-react-dom
+Architecture: all
+Depends: node-react
+ , node-scheduler
+ , ${misc:Depends}
+Provides: ${nodeReactDom:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: node-react library to serve as the entry point to the DOM
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package provides a library to serve as the entry point to the DOM and
+ server renderers for node-react. It is intended to be paired with the generic
+ node-react package.
+
+Package: node-react-is
+Architecture: all
+Depends: ${misc:Depends}
+Provides: ${nodeReactIs:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Multi-Arch: foreign
+Description: JavaScript library to test if a value is a React.js element
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package allows one to test arbitrary values and see if they're a
+ particular React element type.
+
+Package: node-react-refresh
+Architecture: all
+Depends: ${misc:Depends}
+Provides: ${nodeReactRefresh:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Multi-Arch: foreign
+Description: React.js library to integrate Fast Refresh into bundlers
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package implements the wiring necessary to integrate Fast Refresh into
+ bundlers. Fast Refresh is a feature that lets you edit React components in
+ a running application without losing their state. It is similar to an old
+ feature known as "hot reloading", but Fast Refresh is more reliable and
+ officially supported by React.
+ .
+ This package is primarily aimed at developers of bundler plugins.
+
+Package: node-react-shallow-renderer
+Architecture: all
+Depends: node-object-assign
+ , node-react
+ , node-react-is
+ , ${misc:Depends}
+Provides: ${nodeReactShallowRenderer:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: Shallow renderer for testing ReactJS modules
+ When writing unit tests for React, shallow rendering can be helpful.
+ Shallow rendering permits one to render a component "one level deep" and
+ assert facts about what its render method returns, without worrying about
+ the behavior of child components, which are not instantiated or rendered.
+ This does not require a DOM.
+
+Package: node-react-test-renderer
+Architecture: all
+Depends: node-object-assign
+ , node-react
+ , node-react-is
+ , node-react-shallow-renderer
+ , node-scheduler
+ , ${misc:Depends}
+Provides: ${nodeReactTestRenderer:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: Experimental React renderer to be used to render React components to pure JavaScript objects
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package provides an experimental React renderer that can be used to
+ render React components to pure JavaScript objects, without depending on the
+ DOM or a native mobile environment.
+ .
+ Essentially, this package makes it easy to grab a snapshot of the "DOM tree"
+ rendered by a React DOM or React Native component without using a browser or
+ node-jsdom.
+
+Package: node-scheduler
+Architecture: all
+Depends: node-loose-envify
+ , ${misc:Depends}
+Provides: ${nodeScheduler:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: JavaScript library for cooperative scheduling in a browser environment
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This package provides a library for cooperative scheduling in a browser
+ environment. It is currently used internally by node-react.

=== debian/watch ===
version=4
opts=repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-react-$1/ \
 https://github.com/facebook/react/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=react-shallow-renderer,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-react-shallow-renderer-$1/" \
 https://registry.npmjs.org/react-shallow-renderer https://registry.npmjs.org/react-shallow-renderer/-/react-shallow-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=types-react,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-$1/" \
 https://registry.npmjs.org/@types/react https://registry.npmjs.org/@types/react/-/react-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=types-react-dom,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-dom-$1/" \
 https://registry.npmjs.org/@types/react-dom https://registry.npmjs.org/@types/react-dom/-/react-dom-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=types-react-is,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-is-$1/" \
 https://registry.npmjs.org/@types/react-is https://registry.npmjs.org/@types/react-is/-/react-is-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=types-react-test-renderer,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-test-renderer-$1/" \
 https://registry.npmjs.org/@types/react-test-renderer https://registry.npmjs.org/@types/react-test-renderer/-/react-test-renderer-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=types-scheduler,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-scheduler-$1/" \
 https://registry.npmjs.org/@types/scheduler https://registry.npmjs.org/@types/scheduler/-/scheduler-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-react 18.2.0+dfsg+~cs87.59.26

=== debian/changelog ===
node-react (18.2.0+dfsg+~cs87.59.26-1) unstable; urgency=medium

  * Team upload
  * Install react-reconciler
  * Embed @types/react-reconciler and repack
  * Update lintian overrides

 -- Israel Galadima <izzygaladima@gmail.com>  Thu, 07 Sep 2023 17:15:56 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  , node-tar-stream
  , npm
  , rollup
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-react
 Vcs-Git: https://salsa.debian.org/js-team/node-react.git
 Homepage: https://reactjs.org/
@@ -120,6 +120,20 @@
  This package allows one to test arbitrary values and see if they're a
  particular React element type.
 
+Package: node-react-reconciler
+Architecture: all
+Depends: node-loose-envify
+ , node-react
+ , node-scheduler
+ , ${misc:Depends}
+Provides: ${nodeReactReconciler:Provides}
+Breaks: node-react (<< 18.2.0~)
+Replaces: node-react (<< 18.2.0~)
+Description: Experimental package for creating custom React renderers
+ node-react is a library for building JavaScript user interfaces.
+ .
+ This is an experimental package for creating custom React renderers.
+
 Package: node-react-refresh
 Architecture: all
 Depends: ${misc:Depends}

## node-react 18.2.0+dfsg+~cs88.72.117

=== debian/changelog ===
node-react (18.2.0+dfsg+~cs88.72.117-1) unstable; urgency=medium

  * Team upload
  * New upstream version 18.2.0+dfsg+~cs88.72.117
    (update typescript declarations)

 -- Yadd <yadd@debian.org>  Sun, 07 Apr 2024 07:45:21 +0400

node-react (18.2.0+dfsg+~cs87.59.26-2) unstable; urgency=medium

  * Team upload
  * Clean dependencies versions constraints
  * Source-only upload to allow migration

 -- Yadd <yadd@debian.org>  Sun, 17 Sep 2023 09:59:58 +0400

=== debian/tests/control ===
Tests: require
Depends: @, nodejs, pkg-js-autopkgtest, 
Restrictions: superficial

## node-react 18.2.0+dfsg+~cs88.72.123

=== debian/changelog ===
node-react (18.2.0+dfsg+~cs88.72.123-1) unstable; urgency=medium

  * Team upload
  * New upstream version 18.2.0+dfsg+~cs88.72.123
    (update typescript declarations)

 -- Yadd <yadd@debian.org>  Fri, 19 Apr 2024 07:05:53 +0400

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
  , node-gzip-size
  , node-loose-envify <!nocheck>
  , node-minimist
- , node-mkdirp (>= 1)
+ , node-mkdirp
  , node-ncp
  , node-object-assign <!nocheck>
  , node-prop-types
  , node-pump
  , node-rimraf
- , node-rollup-plugin-babel (>= 5.2~)
- , node-rollup-plugin-commonjs (>= 15~)
- , node-rollup-plugin-node-resolve (>= 9~)
+ , node-rollup-plugin-babel
+ , node-rollup-plugin-commonjs
+ , node-rollup-plugin-node-resolve
  , node-rollup-plugin-replace
  , node-rollup-plugin-terser
  , node-tar-fs
@@ -66,8 +66,8 @@
 Architecture: all
 Depends: eslint
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeEslintPluginReactHooks:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: node-react plugin for eslint
  node-react is a library for building JavaScript user interfaces.
@@ -84,8 +84,8 @@
  , node-react-test-renderer
  , node-scheduler
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeJestReact:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: node-jest matchers and utilities for testing React Test Renderer
  node-react is a library for building JavaScript user interfaces.
@@ -97,8 +97,8 @@
 Depends: node-react
  , node-scheduler
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactDom:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: node-react library to serve as the entry point to the DOM
  node-react is a library for building JavaScript user interfaces.
@@ -109,11 +109,11 @@
 
 Package: node-react-is
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactIs:Provides}
-Breaks: node-react (<< 18.2.0~)
-Replaces: node-react (<< 18.2.0~)
-Multi-Arch: foreign
+Replaces: node-react (<< 18.2.0~)
 Description: JavaScript library to test if a value is a React.js element
  node-react is a library for building JavaScript user interfaces.
  .
@@ -126,8 +126,8 @@
  , node-react
  , node-scheduler
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactReconciler:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: Experimental package for creating custom React renderers
  node-react is a library for building JavaScript user interfaces.
@@ -136,11 +136,11 @@
 
 Package: node-react-refresh
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactRefresh:Provides}
-Breaks: node-react (<< 18.2.0~)
-Replaces: node-react (<< 18.2.0~)
-Multi-Arch: foreign
+Replaces: node-react (<< 18.2.0~)
 Description: React.js library to integrate Fast Refresh into bundlers
  node-react is a library for building JavaScript user interfaces.
  .
@@ -158,8 +158,8 @@
  , node-react
  , node-react-is
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactShallowRenderer:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: Shallow renderer for testing ReactJS modules
  When writing unit tests for React, shallow rendering can be helpful.
@@ -176,8 +176,8 @@
  , node-react-shallow-renderer
  , node-scheduler
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeReactTestRenderer:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: Experimental React renderer to be used to render React components to pure JavaScript objects
  node-react is a library for building JavaScript user interfaces.
@@ -194,8 +194,8 @@
 Architecture: all
 Depends: node-loose-envify
  , ${misc:Depends}
+Breaks: node-react (<< 18.2.0~)
 Provides: ${nodeScheduler:Provides}
-Breaks: node-react (<< 18.2.0~)
 Replaces: node-react (<< 18.2.0~)
 Description: JavaScript library for cooperative scheduling in a browser environment
  node-react is a library for building JavaScript user interfaces.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export DEBIAN_BUILD_MODULES=$(CURDIR)/debian/build_modules
 export NODE_PATH=packages:debian/build_modules
 export HOME=/tmp
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
@@ -28,9 +29,26 @@
 	node scripts/rollup/build.js
 	for m in `ls build/node_modules`; do \
 		cp packages/$$m/package.json build/node_modules/$$m/; \
-		cp packages/$$m/npm/* build/node_modules/$$m/; \
+		cp -r packages/$$m/npm/* build/node_modules/$$m/; \
 	done
 
-override_dh_auto_clean:
-	# Don't call pkg-js-tools hook here
-	dh_auto_clean
+override_dh_installdocs:
+	dh_installdocs
+	dh_nodejs_autodocs auto_dispatch
+
+override_dh_gencontrol:
+	set -e; for i in debian/*.install; do \
+		PACKAGE=$${i#debian/}; \
+		PACKAGE=$${PACKAGE%.install}; \
+		MODULE=$${PACKAGE#node-}; \
+		echo "P: $${PACKAGE}, M: $${MODULE}"; \
+		if test -e $${MODULE}; then \
+			dh_gencontrol -p$${PACKAGE} -- -v`pkgjs-pjson $${MODULE} version`~$(DEB_VERSION); \
+		else \
+			if test "$${MODULE}" = react; then \
+				dh_gencontrol -p$${PACKAGE}; \
+			else \
+				dh_gencontrol -p$${PACKAGE} -- -v`pkgjs-pjson packages/$${MODULE} version`~$(DEB_VERSION); \
+			fi; \
+		fi; \
+	done

=== debian/watch ===
--- 
+++ 
@@ -23,3 +23,8 @@
 
 opts="searchmode=plain,ctype=nodejs,component=types-scheduler,pgpmode=none,filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-scheduler-$1/" \
  https://registry.npmjs.org/@types/scheduler https://registry.npmjs.org/@types/scheduler/-/scheduler-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-react-reconciler,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-react-reconciler-$1/" \
+ https://registry.npmjs.org/@types/react-reconciler https://registry.npmjs.org/@types/react-reconciler/-/react-reconciler-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-react 18.3.1%2Bdfsg%2B~cs88.78.12

=== debian/changelog ===
node-react (18.3.1+dfsg+~cs88.78.12-2) unstable; urgency=medium

  * Team upload
  * Add Multi-Arch: foreign

 -- Bastien Roucariès <rouca@debian.org>  Mon, 22 Dec 2025 22:07:01 +0100

node-react (18.3.1+dfsg+~cs88.78.12-1) unstable; urgency=medium

  * Team upload
  [ Yadd ]
  * Declare compliance with policy 4.7.0
  * New upstream version 18.3.1+dfsg+~cs88.78.12

  [ Bastien Roucariès ]
  * Port to rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Mon, 22 Dec 2025 17:14:00 +0100
